LoginScreenInfo = {};
LoginScreenInfo["login"]		= "AccountLogin";
LoginScreenInfo["charselect"]	= "CharacterSelect";
LoginScreenInfo["charcreate"]	= "CharacterCreate";

SHOW_COMPANY_LOGO		= 1;
CURRENT_LOGIN_SCREEN 	= nil;

function SetLoginScreen(name)
	if ( GetLocation() == "TW" and SHOW_COMPANY_LOGO ) then
		SHOW_COMPANY_LOGO = nil;
		CompanyLogo:Show();
	end

	local newFrame;
	for index, value in pairs(LoginScreenInfo) do
		local frame = getglobal(value);
		if ( frame ) then
			frame:Hide();
			if ( index == name ) then
				newFrame = frame;
			end
		end
	end
	
	if ( newFrame ) then
		newFrame:Show();
		SetCurrentScreen(name);
		SetCurrentLoginScreenName(name);
	end
end

function SetCurrentLoginScreenName(name)
	CURRENT_LOGIN_SCREEN = name;
end

function GetCurrentLoginScreenName()
	return CURRENT_LOGIN_SCREEN;
end

function LoginScreenExit(currentFrame, pendingFrame)
	SetLoginScreen(pendingFrame);
end

function LoginParent_OnLoad(this)
	this:RegisterEvent("SET_LOGIN_SCREEN");
	this:RegisterEvent("SHOW_LOGIN");
end

function LoginParent_OnEvent(this, event, arg1, arg2)
	if ( event == "SET_LOGIN_SCREEN" ) then
		LoginScreenExit(GetCurrentLoginScreenName(), arg1);
	elseif ( event == "SHOW_LOGIN" ) then
		LoginParent:Show();
	end
end