function CaptchaConfirmButton_Click()
	ConfirmCaptcha(CaptchaDialogEditBox:GetText());
	CaptchaDialogParent:Hide();
end

function CaptchaDialog_EditBoxOnEnterPressed(this)
	this:ClearFocus();
end

function CaptchaDialog_EditBoxOnEscapePressed()
	this:ClearFocus();
end

function CaptchaRefreshButton_Click()
	RefreshCaptcha();
end

function CaptchaDialog_OnLoad(this)
	this:RegisterEvent("CONFIRM_CAPTCHA");
	this:RegisterEvent("CONFIRM_CAPTCHA_OK");
	this:RegisterEvent("CONFIRM_CAPTCHA_FAILED");
	this:RegisterEvent("CONFIRM_CAPTCHA_TIME_EXPIRED");
end

function CaptchaDialog_OnShow(this)
end

function CaptchaDialog_OnEvent(this, event)
	if ( event == "CONFIRM_CAPTCHA" ) then
		CaptchaImage:Reload();
		CaptchaDialogEditBox:SetText("");
		CaptchaDialogParent:Show();
	elseif ( event == "CONFIRM_CAPTCHA_OK" ) then
		CaptchaDialogEditBox:SetText("");
		CaptchaDialogParent:Hide();
	elseif ( event == "CONFIRM_CAPTCHA_FAILED" ) then
		LoginDialog_Show("CONFIRM_CAPTCHA_FAILED");
	elseif ( event == "CONFIRM_CAPTCHA_TIME_EXPIRED" ) then
		LoginDialog_Show("CONFIRM_CAPTCHA_TIME_EXPIRED");
	end
end

function CaptchaDialog_OnKeyDown(this, key)
	if ( key == "ENTER" ) then
		CaptchaDialogButton_Click(1);
	end
end