
function PasswordFrame_OnLoad(this)
	this:RegisterEvent("PASSWORD_SHOW");
	this:RegisterEvent("PASSWORD_HIDE");
end

function PasswordFrame_OnShow(this)
	PasswordEditBox1:SetText("");
	PasswordEditBox1:SetFocus();
	PasswordEditBox2:SetText("");
	PasswordFrameBorder:SetHeight(16 + PasswordFrameText:GetHeight() + 128 + 8);	
end

function PasswordFrame_OnEvent(this, event)
	if ( event == "PASSWORD_SHOW" ) then
		this:Show();
	elseif ( event == "PASSWORD_HIDE" ) then
		this:Hide();
	end
end

function PasswordOkayButton_OnClick()
	local editText1 = PasswordEditBox1:GetText();
	local editText2 = PasswordEditBox2:GetText();
	
	local result = SetSecondPassword(editText1, editText2);
	if ( result == -1 ) then
		LoginDialog_Show("OKAY", TEXT("PASSWORD_ERROR_WRONGFUL"));		-- Xkr
		return;
	elseif ( result == -2 ) then
		LoginDialog_Show("OKAY", TEXT("PASSWORD_ERROR_SHORT"));			-- ݤj8Ӧr
		return;
	elseif ( result == -3 ) then
		LoginDialog_Show("OKAY", TEXT("PASSWORD_ERROR_UNEQUAL"));		-- T{KXۦP
		return;
	elseif ( result == -4 ) then
		LoginDialog_Show("OKAY", TEXT("PASSWORD_ERROR_WRONGFUL_1"));		-- T{KXۦP
		return;
	end
end

function LoginRenameFrame_OnLoad(this)
	this:RegisterEvent("LOGINRENAME_SHOW");
	this:RegisterEvent("LOGINRENAME_SUCCESS");
	this:RegisterEvent("LOGINRENAME_FAILED");
end

function LoginRenameFrame_OnShow(this)
	LoginRenameEditBox:SetText("");
	LoginRenameOkayButton:Enable();	
	LoginRenameChildFrame:SetHeight(16 + LoginRenameText:GetHeight() + 92 + 8);
end

function LoginRenameFrame_OnEvent(this, event)
	if ( event == "LOGINRENAME_SHOW" ) then
		this:Show();
	elseif ( event == "LOGINRENAME_SUCCESS" ) then
		this:Hide();
	elseif ( event == "LOGINRENAME_FAILED" ) then
		LoginRenameOkayButton:Enable();
	end
end

function LoginRenameOkayButton_OnClick()
	local editText = LoginRenameEditBox:GetText();
	
	local result = SetCharacterName(editText);
	if ( result == 0 ) then
		LoginRenameOkayButton:Disable();
	elseif ( result == -1 ) then
		LoginDialog_Show("OKAY", TEXT("CHARACTER_CREATE_NAME_TO_SHORT"));
	elseif ( result == -2 ) then
		LoginDialog_Show("OKAY", TEXT("CHARACTER_CREATE_NAME_TO_LONG"));
	elseif ( result == -3 or result == -4 ) then
		LoginDialog_Show("OKAY", TEXT("CHARACTER_CREATE_NAME_WRONGFUL"));
	elseif ( result == -10 ) then
		LoginDialog_Show("OKAY", TEXT("CHARACTER_NOT_EXIST"));
	elseif ( result == -11 ) then
		LoginDialog_Show("OKAY", TEXT("CHARACTER_RENAME_ERROR"));
	end
end

function PasswordFramePasswordEdit1_SetText(text)
	PasswordEditBox1:InsertChar(text);
end

function PasswordFramePasswordEdit2_SetText(text)
	PasswordEditBox2:InsertChar(text);
end